---
- name: Installing dictionary
  ansible.builtin.copy:
    src: dictionary
    dest: '{{ etc_freeradius }}/dictionary'
    mode: '0644'

- name: Create local authorization file
  ansible.builtin.template:
    src: authorize.conf.j2
    dest: '{{ etc_freeradius }}/mods-config/files/authorize'
    owner: '{{ fr_service_owner }}'
    group: '{{ fr_service_group }}'
    mode: '0644'

- name: Make users symlink
  ansible.builtin.file:
    src: '{{ etc_freeradius }}/mods-config/files/authorize'
    dest: '{{ etc_freeradius }}/users'
    state: link
